<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/ArticlePanel.inc.php" );

	class ArticlePage extends DefaultFrontend {
		protected $oArticlePanel;

		public function modifyGetPost( &$g , &$p ) {
			$retval = parent::modifyGetPost( $g , $p );
			if (isset( $g["article_id"] )) $this->oArticlePanel->setArticleId( $g["article_id"] );
			if (isset( $g["larticle_id"] )) $this->oArticlePanel->setLarticleId( $g["larticle_id"] );
			if (isset( $g["pagenum"] )) $this->oArticlePanel->setPagenum( $g["pagenum"] );
			return $retval;
		}

		public function __construct( $id = "ArticlePage" , $parent = null , $pagetype = "article"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$this->oArticlePanel = new ArticlePanel( "content_widget" , $this );
		}
	}
?>
